> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve City

> Retrieves a specific City.




## OpenAPI

````yaml get /public/user/city/retrieve/{city_id}
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/city/retrieve/{city_id}:
    get:
      tags:
        - City
      summary: Retrieve City
      description: |
        Retrieves a specific City.
      parameters:
        - name: city_id
          in: path
          description: ID of the City to retrieve
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful City Retrieve
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CitySuccessfulRetrieveResponse'
      security:
        - APIPrivateKey: []
          APIPublicKey: []
components:
  schemas:
    CitySuccessfulRetrieveResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            city_alias:
              type: string
              example: City of Lights
            city_creation_datetime:
              type: string
              format: date-time
            city_example_postcode:
              type: string
              example: '75004'
            city_id:
              type: integer
              example: 379657
            city_is_populous:
              type: boolean
              example: true
            city_last_update_datetime:
              type: string
              format: date-time
            city_latitude:
              type: number
              example: 48.85341
            city_longitude:
              type: number
              example: 2.3488
            city_name:
              type: string
              example: Paris
            city_node_count:
              type: integer
              example: 9320
            city_population:
              type: integer
              example: 2138551
            city_timezone:
              type: string
              example: Europe/Paris
            subdivision_id:
              type: string
              example: Ile-de-France
          description: Retrieved City item details.
        message:
          type: string
          description: Status message for the retrieval.
      description: City retrieve was successful.
      example:
        data:
          city_alias: City of Lights
          city_example_postcode: '75004'
          city_id: 379657
          city_is_populous: true
          city_latitude: 48.85341
          city_longitude: 2.3488
          city_name: Paris
          city_node_count: 9320
          city_population: 2138551
          city_timezone: Europe/Paris
          subdivision_id: Ile-de-France
        message: City successfully retrieved.
  securitySchemes:
    APIPrivateKey:
      type: apiKey
      description: ' Private API key for user-level authentication.'
      name: X-API-Private-Key
      in: header
    APIPublicKey:
      type: apiKey
      description: ' Public API key for user-level authentication.'
      name: X-API-Public-Key
      in: header

````